Autorizar nota fiscal
curl --request POST \
--url https://api.tiny.com.br/public-api/v3/notas/{idNota}/emitir \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enviarEmail": true
}
'import requests
url = "https://api.tiny.com.br/public-api/v3/notas/{idNota}/emitir"
payload = { "enviarEmail": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enviarEmail: true})
};
fetch('https://api.tiny.com.br/public-api/v3/notas/{idNota}/emitir', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"chaveAcesso": "<string>",
"linkAcesso": "<string>",
"xml": "<string>"
}{
"mensagem": "Ocorreram erros de validação",
"detalhes": [
{
"campo": "codigo",
"mensagem": "O campo código é obrigatório"
}
]
}Notas
Autorizar nota fiscal
POST
/
notas
/
{idNota}
/
emitir
Autorizar nota fiscal
Path Parameters
Body
application/json
Response
OK
- 1 - Pendente
- 2 - Emitida
- 3 - Cancelada
- 4 - Enviada Aguardando Recibo
- 5 - Rejeitada
- 6 - Autorizada
- 7 - Emitida Danfe
- 8 - Registrada
- 9 - Enviada Aguardando Protocolo
- 10 - Denegada
Available options:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ⌘I
